Bug 60936 - excessive timeout when booting with disconnected ethernet
excessive timeout when booting with disconnected ethernet
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bootp (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-09 13:25 EST by Dave Raggett
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-09 13:25:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Raggett 2002-03-09 13:25:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
The Sony Vaio PCG-Z505HS has built in ethernet support. When
travelling and booting without a wireline connection, the RH
boot process takes an excessively long time to fail the eth0
interface (eepro100). A work-around is to use "neat" to disable
"eth0" before going offline. Can't the eepro100 driver can
immediately see that a LAN cable isn't plugged in to the
ethernet socket on the notebook? If so that should be used to
return an error code (and explanatory message?). Failing that,
a shorter timeout period would be helpful.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Powerdown, disconnect ethernet cable, then reboot


Actual Results:  Boot process waits a very long time before
deciding to fail the eth0 interface

Expected Results:  Boot process should be able to tell immediately
that there is no LAN cable plugged in, and to then disable the eth0
interface. If this can't be reliably detected, then a shorter time out
period would make life much better for road warriors.

Additional info:
Comment 1 Erik Troan 2002-04-20 08:36:23 EDT
We don't know if there is a cable plugged in, and afaik there isn't any way
to find out.

You can change the timeout for your machine by editing /etc/sysconfig/ifcfg-eth0
and adding a line that says 

DHCPCDARGS="-t 20"

where 20 is whatever timeout you wish to use, in seconds.
 
Hope this helps.

Note You need to log in before you can comment on or make changes to this bug.